/**
 * --------------------------------------------------------------------
 * jQuery-Plugin "pngFix"
 * by Andreas Eberhard, andreas.eberhard@gmail.com
 *                      http://jquery.andreaseberhard.de/
 *
 * Copyright (c) 2007 Andreas Eberhard
 * Licensed under GPL (http://www.opensource.org/licenses/gpl-license.php)
 *
 * Version: 1.0, 31.05.2007
 * Changelog:
 *   31.05.2007 initial Version 1.0
 * --------------------------------------------------------------------
 */

(function(jQuery) {


jQuery.fn.pngFix = function() {

  var ie55 = (navigator.appName == "Microsoft Internet Explorer" && parseInt(navigator.appVersion) == 4 && navigator.appVersion.indexOf("MSIE 5.5") != -1);
  var ie6 = (navigator.appName == "Microsoft Internet Explorer" && parseInt(navigator.appVersion) == 4 && navigator.appVersion.indexOf("MSIE 6.0") != -1);

  if (jQuery.browser.msie && (ie55 || ie6)) {

    jQuery(this).find("img[@src$=.png]").each(function() {

      var prevStyle = '';
      var strNewHTML = '';
      var imgId = (jQuery(this).attr('id')) ? 'id="' + jQuery(this).attr('id') + '" ' : '';
      var imgClass = (jQuery(this).attr('class')) ? 'class="' + jQuery(this).attr('class') + '" ' : '';
      var imgTitle = (jQuery(this).attr('title')) ? 'title="' + jQuery(this).attr('title') + '" ' : '';
      var imgAlt = (jQuery(this).attr('alt')) ? 'alt="' + jQuery(this).attr('alt') + '" ' : '';
      var imgAlign = (jQuery(this).attr('align')) ? 'float:' + jQuery(this).attr('align') + ';' : '';
      var imgHand = (jQuery(this).parent().attr('href')) ? 'cursor:hand;' : '';
      if (this.style.border) {
        prevStyle += 'border:'+this.style.border+';';
        this.style.border = '';
      }
      if (this.style.padding) {
        prevStyle += 'padding:'+this.style.padding+';';
        this.style.padding = '';
      }
      if (this.style.margin) {
        prevStyle += 'margin:'+this.style.margin+';';
        this.style.margin = '';
      }
      var imgStyle = (this.style.cssText);

      strNewHTML += '<span '+imgId+imgClass+imgTitle+imgAlt;
      strNewHTML += 'style="position:relative;white-space:pre-line;display:inline-block;background:transparent;'+imgAlign+imgHand;
      strNewHTML += 'width:' + jQuery(this).width() + 'px;' + 'height:' + jQuery(this).height() + 'px;';
      strNewHTML += 'filter:progid:DXImageTransform.Microsoft.AlphaImageLoader' + '(src=\'' + jQuery(this).attr('src') + '\', sizingMethod=\'scale\');';
      strNewHTML += imgStyle+'"></span>';
      if (prevStyle != ''){
        strNewHTML = '<span style="position:relative;display:inline-block;'+prevStyle+imgHand+'width:' + jQuery(this).width() + 'px;' + 'height:' + jQuery(this).height() + 'px;'+'">' + strNewHTML + '</span>';
      }

      jQuery(this).hide();
      jQuery(this).after(strNewHTML);
      
    });

  }

};

})(jQuery);
